# cscz
The one and only C&sharp; Class Generator.

To use:
 - Build the project (F8 in Monodevelop, CTRL + SHIFT + B in Visual Studio)
 - Pipe your compressed class definition file into it.

Example definitions:

```csharp
# Shop
- c
decimal balance
float lat
float long
List<TimeSpan> openingHours

```

```csharp
# Model3D
- OpenTK
- OpenTK.Graphics

ModelUtility model
ShaderUtility shaderProgram

Matrix4 transformation
Vector3 position
```

## Syntax
The examples above should be enough to get you started, but if you  want a formal standard document for the syntax, I've written one in [CSCZ.Standard.md](https://git.starbeamrainbowlabs.com/sbrl/cscz/src/master/CSCZ.Standard.md).

## Using Statement Shortcuts
The C&sharp; Class Generator supports shortcuts in the using statement declarations (`- System`). Here's a table of all the shortcuts added so far:

Shortcut	| Expansion
------------|---------------------------------
`c`			| `System.Collections.Generic`
`cc`		| `System.Collections.Concurrent`
`r`			| `System.Text.RegularExpressions`
`n`			| `System.Net`
`s`			| `System.Net.Sockets`
`x`			| `Microsoft.Xna.Framework`
`xg`		| `Microsoft.Xna.Framework.Graphics`
`xs`		| `Microsoft.Xna.Framework.Storage`
`xi`		| `Microsoft.Xna.Framework.Input`
`oo`		| `OpenTK.Graphics.OpenGL`

See the [Changelog](https://git.starbeamrainbowlabs.com/sbrl/cscz/src/master/Changelog.md) for a summary of what's changed between releases.

Type `./cscz.exe --help` for usage information or see [Help.md](https://git.starbeamrainbowlabs.com/sbrl/cscz/src/master/cscz/Help.md).